Saltar para o conteúdo principal
GET
/
public
/
v1
/
offsite-ads
/
vendors
/
active
Get Active Vendors
curl --request GET \
  --url https://api.topsort.com/public/v1/offsite-ads/vendors/active \
  --header 'Authorization: Bearer <token>'
{
  "hasMore": true,
  "nextPage": "<string>",
  "vendors": [
    "<string>"
  ]
}

Autorizações

Authorization
string
header
obrigatório

A valid API key generated in Topsort's UI.

Parâmetros de consulta

dsp
enum<string>
obrigatório

The DSP to filter vendors by.

Opções disponíveis:
google_ads,
meta
Exemplos:

"google_ads"

"meta"

next_page
string | null

Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.

limit
integer
padrão:100

The pagination limit.

Intervalo necessário: 0 <= x <= 365

Resposta

Successful Response

hasMore
boolean
obrigatório

Whether there are more active vendors

nextPage
string | null
obrigatório

The next page token

vendors
string[]
obrigatório

The active vendor ids for the DSP